Changeset 2680


Ignore:
Timestamp:
Dec 2, 2012 10:46:00 AM (7 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/stable/1.3/configure

    r2672 r2680  
    10941094                          icl/link). Default when mentioned: mingw. Default
    10951095                          when not mentioned: disabled.
     1096
    10961097  --disable-pkg-config    disable use of pkg-config (if available)
    10971098  --enable-static[=PKGS]
     
    19571958
    19581959
     1960# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1961if test "${enable_static_standardlibs+set}" = set; then
     1962  enableval="$enable_static_standardlibs"
     1963  case "$enableval" in
     1964     no | yes | auto ) ;;
     1965     *)
     1966       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1967echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1968   { (exit 1); exit 1; }; } ;;
     1969   esac
     1970   use_static_standardlibs=$enableval
     1971else
     1972  use_static_standardlibs=no
     1973fi;
     1974
     1975
     1976
    19591977
    19601978
     
    30813099    CFLAGS="$OPT_CFLAGS"
    30823100  fi
     3101
    30833102else
    30843103  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32493268esac
    32503269
     3270# check whether to add flags for static linking against standard libraries to LDFLAGS
     3271if test x$use_static_standardlibs != xno ; then
     3272  case $build in
     3273    *-mingw*)
     3274      static_standardlib_flag=-static
     3275      ;;
     3276    *)
     3277      static_standardlib_flag=-static-libgcc
     3278      ;;
     3279  esac
     3280  case " $LDFLAGS " in
     3281    *" $static_standardlib_flag "* ) ;;
     3282    *)
     3283    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3284echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3285    coin_save_LDFLAGS="$LDFLAGS"
     3286    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3287    cat >conftest.$ac_ext <<_ACEOF
     3288/* confdefs.h.  */
     3289_ACEOF
     3290cat confdefs.h >>conftest.$ac_ext
     3291cat >>conftest.$ac_ext <<_ACEOF
     3292/* end confdefs.h.  */
     3293
     3294int
     3295main ()
     3296{
     3297int i=0;
     3298  ;
     3299  return 0;
     3300}
     3301_ACEOF
     3302rm -f conftest.$ac_objext conftest$ac_exeext
     3303if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3304  (eval $ac_link) 2>conftest.er1
     3305  ac_status=$?
     3306  grep -v '^ *+' conftest.er1 >conftest.err
     3307  rm -f conftest.er1
     3308  cat conftest.err >&5
     3309  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3310  (exit $ac_status); } &&
     3311         { ac_try='test -z "$ac_c_werror_flag"
     3312                         || test ! -s conftest.err'
     3313  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3314  (eval $ac_try) 2>&5
     3315  ac_status=$?
     3316  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3317  (exit $ac_status); }; } &&
     3318         { ac_try='test -s conftest$ac_exeext'
     3319  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3320  (eval $ac_try) 2>&5
     3321  ac_status=$?
     3322  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3323  (exit $ac_status); }; }; then
     3324  echo "$as_me:$LINENO: result: yes" >&5
     3325echo "${ECHO_T}yes" >&6
     3326else
     3327  echo "$as_me: failed program was:" >&5
     3328sed 's/^/| /' conftest.$ac_ext >&5
     3329
     3330echo "$as_me:$LINENO: result: no" >&5
     3331echo "${ECHO_T}no" >&6
     3332       LDFLAGS="$coin_save_LDFLAGS"
     3333       if test $use_static_standardlibs = yes ; then
     3334         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3335echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3336   { (exit 1); exit 1; }; }
     3337       fi
     3338
     3339fi
     3340rm -f conftest.err conftest.$ac_objext \
     3341      conftest$ac_exeext conftest.$ac_ext
     3342    ;;
     3343  esac
     3344fi
     3345
    32513346ac_ext=c
    32523347ac_cpp='$CPP $CPPFLAGS'
     
    32773372
    32783373
     3374
    32793375ac_ext=f
    32803376ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    34863582
    34873583# Provide some information about the compiler.
    3488 echo "$as_me:3488:" \
     3584echo "$as_me:3584:" \
    34893585     "checking for Fortran 77 compiler version" >&5
    34903586ac_compiler=`set X $ac_compile; echo $2`
     
    38533949    FFLAGS="$OPT_FFLAGS"
    38543950  fi
     3951
    38553952else
    38563953  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39944091    ;;
    39954092esac
     4093
     4094# check whether to add flag for static linking against standard libraries to LDFLAGS
     4095if test x$use_static_standardlibs != xno ; then
     4096  case $build in
     4097    *-mingw*)
     4098      static_standardlib_flag=-static
     4099      ;;
     4100    *)
     4101      static_standardlib_flag=-static-libgfortran
     4102      ;;
     4103  esac
     4104  case " $LDFLAGS " in
     4105    *" $static_standardlib_flag "* ) ;;
     4106    *)
     4107    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4108echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4109    coin_save_LDFLAGS="$LDFLAGS"
     4110    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4111    cat >conftest.$ac_ext <<_ACEOF
     4112      program main
     4113      integer i
     4114      end
     4115_ACEOF
     4116rm -f conftest.$ac_objext conftest$ac_exeext
     4117if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4118  (eval $ac_link) 2>conftest.er1
     4119  ac_status=$?
     4120  grep -v '^ *+' conftest.er1 >conftest.err
     4121  rm -f conftest.er1
     4122  cat conftest.err >&5
     4123  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4124  (exit $ac_status); } &&
     4125         { ac_try='test -z "$ac_f77_werror_flag"
     4126                         || test ! -s conftest.err'
     4127  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4128  (eval $ac_try) 2>&5
     4129  ac_status=$?
     4130  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4131  (exit $ac_status); }; } &&
     4132         { ac_try='test -s conftest$ac_exeext'
     4133  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4134  (eval $ac_try) 2>&5
     4135  ac_status=$?
     4136  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4137  (exit $ac_status); }; }; then
     4138  echo "$as_me:$LINENO: result: yes" >&5
     4139echo "${ECHO_T}yes" >&6
     4140else
     4141  echo "$as_me: failed program was:" >&5
     4142sed 's/^/| /' conftest.$ac_ext >&5
     4143
     4144echo "$as_me:$LINENO: result: no" >&5
     4145echo "${ECHO_T}no" >&6
     4146       LDFLAGS="$coin_save_LDFLAGS"
     4147       if test $use_static_standardlibs = yes ; then
     4148         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4149echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4150   { (exit 1); exit 1; }; }
     4151       fi
     4152
     4153fi
     4154rm -f conftest.err conftest.$ac_objext \
     4155      conftest$ac_exeext conftest.$ac_ext
     4156    ;;
     4157  esac
     4158fi
    39964159
    39974160ac_ext=c
     
    41464309# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    41474310if test "x${prefix}" = xNONE ; then
    4148   COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    4149 else
    4150   COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     4311  COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib64/pkgconfig:${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     4312else
     4313  COIN_PKG_CONFIG_PATH="${prefix}/lib64/pkgconfig:${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    41514314fi
    41524315
     
    42594422ac_save_FFLAGS=$FFLAGS
    42604423FFLAGS="$FFLAGS $ac_verb"
    4261 (eval echo $as_me:4261: \"$ac_link\") >&5
     4424(eval echo $as_me:4424: \"$ac_link\") >&5
    42624425ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42634426echo "$ac_f77_v_output" >&5
     
    43374500ac_save_FFLAGS=$FFLAGS
    43384501FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4339 (eval echo $as_me:4339: \"$ac_link\") >&5
     4502(eval echo $as_me:4502: \"$ac_link\") >&5
    43404503ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    43414504echo "$ac_f77_v_output" >&5
     
    52155378
    52165379# Provide some information about the compiler.
    5217 echo "$as_me:5217:" \
     5380echo "$as_me:5380:" \
    52185381     "checking for Fortran compiler version" >&5
    52195382ac_compiler=`set X $ac_compile; echo $2`
     
    69877150*-*-irix6*)
    69887151  # Find out which ABI we are using.
    6989   echo '#line 6989 "configure"' > conftest.$ac_ext
     7152  echo '#line 7152 "configure"' > conftest.$ac_ext
    69907153  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    69917154  (eval $ac_compile) 2>&5
     
    94649627   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94659628   -e 's:$: $lt_compiler_flag:'`
    9466    (eval echo "\"\$as_me:9466: $lt_compile\"" >&5)
     9629   (eval echo "\"\$as_me:9629: $lt_compile\"" >&5)
    94679630   (eval "$lt_compile" 2>conftest.err)
    94689631   ac_status=$?
    94699632   cat conftest.err >&5
    9470    echo "$as_me:9470: \$? = $ac_status" >&5
     9633   echo "$as_me:9633: \$? = $ac_status" >&5
    94719634   if (exit $ac_status) && test -s "$ac_outfile"; then
    94729635     # The compiler can only warn and ignore the option if not recognized
     
    97329895   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    97339896   -e 's:$: $lt_compiler_flag:'`
    9734    (eval echo "\"\$as_me:9734: $lt_compile\"" >&5)
     9897   (eval echo "\"\$as_me:9897: $lt_compile\"" >&5)
    97359898   (eval "$lt_compile" 2>conftest.err)
    97369899   ac_status=$?
    97379900   cat conftest.err >&5
    9738    echo "$as_me:9738: \$? = $ac_status" >&5
     9901   echo "$as_me:9901: \$? = $ac_status" >&5
    97399902   if (exit $ac_status) && test -s "$ac_outfile"; then
    97409903     # The compiler can only warn and ignore the option if not recognized
     
    98369999   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    983710000   -e 's:$: $lt_compiler_flag:'`
    9838    (eval echo "\"\$as_me:9838: $lt_compile\"" >&5)
     10001   (eval echo "\"\$as_me:10001: $lt_compile\"" >&5)
    983910002   (eval "$lt_compile" 2>out/conftest.err)
    984010003   ac_status=$?
    984110004   cat out/conftest.err >&5
    9842    echo "$as_me:9842: \$? = $ac_status" >&5
     10005   echo "$as_me:10005: \$? = $ac_status" >&5
    984310006   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    984410007   then
     
    1225312416  lt_status=$lt_dlunknown
    1225412417  cat > conftest.$ac_ext <<EOF
    12255 #line 12255 "configure"
     12418#line 12418 "configure"
    1225612419#include "confdefs.h"
    1225712420
     
    1235312516  lt_status=$lt_dlunknown
    1235412517  cat > conftest.$ac_ext <<EOF
    12355 #line 12355 "configure"
     12518#line 12518 "configure"
    1235612519#include "confdefs.h"
    1235712520
     
    1471314876   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1471414877   -e 's:$: $lt_compiler_flag:'`
    14715    (eval echo "\"\$as_me:14715: $lt_compile\"" >&5)
     14878   (eval echo "\"\$as_me:14878: $lt_compile\"" >&5)
    1471614879   (eval "$lt_compile" 2>conftest.err)
    1471714880   ac_status=$?
    1471814881   cat conftest.err >&5
    14719    echo "$as_me:14719: \$? = $ac_status" >&5
     14882   echo "$as_me:14882: \$? = $ac_status" >&5
    1472014883   if (exit $ac_status) && test -s "$ac_outfile"; then
    1472114884     # The compiler can only warn and ignore the option if not recognized
     
    1481714980   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1481814981   -e 's:$: $lt_compiler_flag:'`
    14819    (eval echo "\"\$as_me:14819: $lt_compile\"" >&5)
     14982   (eval echo "\"\$as_me:14982: $lt_compile\"" >&5)
    1482014983   (eval "$lt_compile" 2>out/conftest.err)
    1482114984   ac_status=$?
    1482214985   cat out/conftest.err >&5
    14823    echo "$as_me:14823: \$? = $ac_status" >&5
     14986   echo "$as_me:14986: \$? = $ac_status" >&5
    1482414987   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1482514988   then
     
    1638716550   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1638816551   -e 's:$: $lt_compiler_flag:'`
    16389    (eval echo "\"\$as_me:16389: $lt_compile\"" >&5)
     16552   (eval echo "\"\$as_me:16552: $lt_compile\"" >&5)
    1639016553   (eval "$lt_compile" 2>conftest.err)
    1639116554   ac_status=$?
    1639216555   cat conftest.err >&5
    16393    echo "$as_me:16393: \$? = $ac_status" >&5
     16556   echo "$as_me:16556: \$? = $ac_status" >&5
    1639416557   if (exit $ac_status) && test -s "$ac_outfile"; then
    1639516558     # The compiler can only warn and ignore the option if not recognized
     
    1649116654   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1649216655   -e 's:$: $lt_compiler_flag:'`
    16493    (eval echo "\"\$as_me:16493: $lt_compile\"" >&5)
     16656   (eval echo "\"\$as_me:16656: $lt_compile\"" >&5)
    1649416657   (eval "$lt_compile" 2>out/conftest.err)
    1649516658   ac_status=$?
    1649616659   cat out/conftest.err >&5
    16497    echo "$as_me:16497: \$? = $ac_status" >&5
     16660   echo "$as_me:16660: \$? = $ac_status" >&5
    1649816661   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1649916662   then
     
    1869818861   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1869918862   -e 's:$: $lt_compiler_flag:'`
    18700    (eval echo "\"\$as_me:18700: $lt_compile\"" >&5)
     18863   (eval echo "\"\$as_me:18863: $lt_compile\"" >&5)
    1870118864   (eval "$lt_compile" 2>conftest.err)
    1870218865   ac_status=$?
    1870318866   cat conftest.err >&5
    18704    echo "$as_me:18704: \$? = $ac_status" >&5
     18867   echo "$as_me:18867: \$? = $ac_status" >&5
    1870518868   if (exit $ac_status) && test -s "$ac_outfile"; then
    1870618869     # The compiler can only warn and ignore the option if not recognized
     
    1896619129   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1896719130   -e 's:$: $lt_compiler_flag:'`
    18968    (eval echo "\"\$as_me:18968: $lt_compile\"" >&5)
     19131   (eval echo "\"\$as_me:19131: $lt_compile\"" >&5)
    1896919132   (eval "$lt_compile" 2>conftest.err)
    1897019133   ac_status=$?
    1897119134   cat conftest.err >&5
    18972    echo "$as_me:18972: \$? = $ac_status" >&5
     19135   echo "$as_me:19135: \$? = $ac_status" >&5
    1897319136   if (exit $ac_status) && test -s "$ac_outfile"; then
    1897419137     # The compiler can only warn and ignore the option if not recognized
     
    1907019233   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1907119234   -e 's:$: $lt_compiler_flag:'`
    19072    (eval echo "\"\$as_me:19072: $lt_compile\"" >&5)
     19235   (eval echo "\"\$as_me:19235: $lt_compile\"" >&5)
    1907319236   (eval "$lt_compile" 2>out/conftest.err)
    1907419237   ac_status=$?
    1907519238   cat out/conftest.err >&5
    19076    echo "$as_me:19076: \$? = $ac_status" >&5
     19239   echo "$as_me:19239: \$? = $ac_status" >&5
    1907719240   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1907819241   then
Note: See TracChangeset for help on using the changeset viewer.